;======================================================================
;
;                           BOOT DATA
;
;======================================================================

macro line_full_top {
          db       201
          times    78   db 205
          db       187
}
macro line_full_bottom {
          db       200
          times    78   db 205
          db       188
}
macro line_half {
          db      186,' '
          times    76   db 0xc4
          db      ' ',186
}
macro line_space {
          db      186
          times   78 db 32
          db      186
}
d80x25_top:
		line_full_top
verstr2:
;		line_space
; version string
	db 186,32
	repeat 78
		load a byte from version+%-1
		if a = 13
			break
		end if
		db a
	end repeat
	repeat 78 - ($-verstr2)
		db	' '
	end repeat
	db 32,186
verstr:
		line_half
space_msg:	line_space
d80x25_top_num = 3
d80x25_bottom:
          db       186,' Kolibri OS ᭮  Menuet OS   ।⠢ '
          db       ' a⨩.        ',186
          db       186,' ஡ ᬮ 䠩 GNU.TXT                     '
          db       '                         ',186
          line_full_bottom
d80x25_bottom_num = 3

msg_apm   db      " APM x.x ",0

novesa    db      ": EGA/CGA",13,10,0
s_vesa    db      " VESA: "
  .ver    db      "?.? ("
  .mem    db      "??? )",13,10,0
gr_mode   db      "롥 ०: ",13,10,0
s_bpp     db      13,10,186," 㡨 梥: "
  .bpp    dw      "??"
          db      13,10,0
vrrmprint db      "ᯮ짮 VRR? ( ஢  60 "
          db      " ⮫쪮  室:",13,10
          db      186," 1024*768>800*600  800*600>640*480) [1-, 2-]: ",0
ask_dma   db      "ᯮ짮 DMA    HDD? [1-/2-]: ",0
bdev      db      "㧨 ࠧ  [1-᪥; 2-C:\kolibri.img (FAT32);"
          db      13,10,186,"                    "
          db      "3-ᯮ짮 㦥 㦥 ࠧ]: ",0
probetext db      13,10,13,10,186," ⠭ ०? [1-, "
          db      "2-஢ 㣨 (Vesa 3.0)]: ",0
prnotfnd  db      "訡 - ०  .",0
;modena    db      "訡 - ॡ প VBE 0x112+.",0
not386    db      "訡 - ॡ  386+.",0
btns      db      "訡 -   । 㡨 梥.",0
fatalsel  db      "訡 - ࠭ ०  ন.",0
badsect   db      13,10,186," 訡 - ᪥ ०. ஡ .",0
memmovefailed db  13,10,186," 訡 - Int 0x15 move failed.",0
okt       db      " ... OK"
linef	  db      13,10,0
diskload  db      "㧪 ᪥: 00 %",8,8,8,8,0
pros      db      "00"
backspace2 db     8,8,0
boot_dev  db      0
start_msg db      " [abcd]   ஥, [Enter]  த 㧪",13,10,0
time_msg  db      "   "
time_str  db      " 5 ᥪ㭤 "
          db      "  ⮬᪮ த",13,10,0
current_cfg_msg db "騥 ன:",13,10,0
curvideo_msg db   " [a] ०: ",0
mode1     db      "640x480",0
mode2     db      "800x600",0
mode3     db      "1024x768",0
mode4     db      "1280x1024",0
modes_msg dw mode4-0x10000,mode1-0x10000,mode2-0x10000,mode3-0x10000
modevesa20 db     "  LFB",0
modevesa12 db     ", VESA 1.2 Bnk",0
mode9     db      "320x200, EGA/CGA 256 梥⮢",0
mode10    db      "640x480, VGA 16 梥⮢",0
probeno_msg db    " (⠭ ०)",0
probeok_msg db    " (஢ ⠭ ०)",0
dma_msg   db      " [b] ᯮ짮 DMA    HDD:",0
on_msg    db      " ",13,10,0
off_msg   db      " 몫",13,10,0
vrrm_msg  db      " [c] ᯮ짮 VRR:",0
preboot_device_msg db " [d] ࠧ ᪥: ",0
preboot_device_msgs dw 0,pdm1-0x10000,pdm2-0x10000,pdm3-0x10000
pdm1      db      " ᪥",13,10,0
pdm2      db      "C:\kolibri.img (FAT32)",13,10,0
pdm3      db      "ᯮ짮 㦥 㦥 ࠧ",13,10,0
loading_msg db    " 㧪 KolibriOS...",0
save_quest db     " ⥪騥 ன? [y/n]: ",0
loader_block_error db "訡   砫쭮 稪, த .",0

_oem db 'oem: ',0

db 5
s_ven_intel  db 'Intel'
db 2
s_ven_s3     db 'S3'
;db 5
;s_ven_bochs  db 'Bochs'
;db 8
;s_ven_vmware db 'V M ware'

s_mode    db      "  ????-????-?? (?)  ",0
s_mode1   db      "  0640-0480-04 (a)    0320-0200-08 (b)  ",13,10,0

;_tl db 'Ŀ',13,10,\
;       ' ࠧ襭    4    8   15   16   24   32 ',13,10,\
;       'Ĵ',13,10,0
;_rs db ' ????x????    -    -    -    -    -    -  ',13,10,0
;_bt db '',13,10,0

_tl db 186,'                         Ŀ',13,10,\
       186,'                            4    8   15   16   24   32 ',13,10,\
       186,'             Ŀ',13,10,0
_rs db 186,'              ????x????   ?    ?    ?    ?    ?    ?  ۳',13,10,0
_bt db 186,'             ',13,10,0


_sel1 db 0x1A,0
_sel2 db 0x1B,0
